# Generated from mexico-0.0.12.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mexico

Name: rubygem-%{gem_name}
Version: 0.0.12
Release: 1%{?dist}
Summary: MExiCo is a library and API for the management of multimodal experimental corpora
License: LGPL Version 3
URL: http://github.com/sfb673/mexico
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(yard) >= 0.8.3
# BuildRequires: rubygem(yard) < 0.9
# BuildRequires: rubygem(jeweler) >= 2.0.0
# BuildRequires: rubygem(jeweler) < 2.1
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(rspec) >= 2.12.0
# BuildRequires: rubygem(rspec) < 2.13
BuildArch: noarch

%description
MExiCo is a library and API for the management of multimodal experimental
corpora.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/mexico
%{gem_instdir}/.gitmodules
%{gem_instdir}/.project
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/assets
%{gem_instdir}/bin
%{gem_instdir}/info
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/features
%{gem_instdir}/spec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 0.0.12-1
- Initial package
